[library-web/oscp] Create "stable" symlink pointing to latest release notes



commit 52d30f5456b63af2887718b3e2a72b02d9081197
Author: Bartłomiej Piotrowski <bpiotrowski gnome org>
Date:   Mon Jun 15 17:02:42 2020 +0200

    Create "stable" symlink pointing to latest release notes

 lgo/entrypoint.sh | 5 +++++
 1 file changed, 5 insertions(+)
---
diff --git a/lgo/entrypoint.sh b/lgo/entrypoint.sh
index 4001983..91e1521 100755
--- a/lgo/entrypoint.sh
+++ b/lgo/entrypoint.sh
@@ -10,5 +10,10 @@ DATE="$(date +%s)"
 /opt/lgo/src/lgo.py -vvvvv -c /opt/library-web.lgorc |& tee "/data/logs/library-$DATE.log"
 /opt/lgo/src/lgo.py -vvvvv -c /opt/developer.lgorc |& tee "/data/logs/developer-$DATE.log"
 
+cd /data/output/help.gnome.org/misc/release-notes || exit
+REPO="https://gitlab.gnome.org/Teams/Engagement/release-notes.git";
+LATEST_RELEASE="$(git ls-remote --heads ${REPO} | awk '{print $2}' | grep 'gnome-' | cut -d/ -f3 | cut -d- 
-f2- | sort -V | tail -n1 | sed 's/-/./')"
+ln -sf "${LATEST_RELEASE}" stable
+
 cd /data/logs || exit
 zstd --rm ./*.log


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]